<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_delay.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
<h1>vx_delay.h</h1><a href="vx__delay_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * Copyright (c) 2012-2016 The Khronos Group Inc.</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a</span>
<a name="l00005"></a>00005 <span class="comment"> * copy of this software and/or associated documentation files (the</span>
<a name="l00006"></a>00006 <span class="comment"> * &quot;Materials&quot;), to deal in the Materials without restriction, including</span>
<a name="l00007"></a>00007 <span class="comment"> * without limitation the rights to use, copy, modify, merge, publish,</span>
<a name="l00008"></a>00008 <span class="comment"> * distribute, sublicense, and/or sell copies of the Materials, and to</span>
<a name="l00009"></a>00009 <span class="comment"> * permit persons to whom the Materials are furnished to do so, subject to</span>
<a name="l00010"></a>00010 <span class="comment"> * the following conditions:</span>
<a name="l00011"></a>00011 <span class="comment"> *</span>
<a name="l00012"></a>00012 <span class="comment"> * The above copyright notice and this permission notice shall be included</span>
<a name="l00013"></a>00013 <span class="comment"> * in all copies or substantial portions of the Materials.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS</span>
<a name="l00016"></a>00016 <span class="comment"> * KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS</span>
<a name="l00017"></a>00017 <span class="comment"> * SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT</span>
<a name="l00018"></a>00018 <span class="comment"> *    https://www.khronos.org/registry/</span>
<a name="l00019"></a>00019 <span class="comment"> *</span>
<a name="l00020"></a>00020 <span class="comment"> * THE MATERIALS ARE PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,</span>
<a name="l00021"></a>00021 <span class="comment"> * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF</span>
<a name="l00022"></a>00022 <span class="comment"> * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.</span>
<a name="l00023"></a>00023 <span class="comment"> * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY</span>
<a name="l00024"></a>00024 <span class="comment"> * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,</span>
<a name="l00025"></a>00025 <span class="comment"> * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE</span>
<a name="l00026"></a>00026 <span class="comment"> * MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.</span>
<a name="l00027"></a>00027 <span class="comment"> */</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="preprocessor">#ifndef VX_DELAY_H_</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#define VX_DELAY_H_</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00037"></a>00037 <span class="preprocessor">#endif</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span>
<a name="l00047"></a><a class="code" href="group__group__vx__delay__cfg.html#gaa945633d04f86c392278ca20867eac85">00047</a> <span class="preprocessor">#define TIVX_DELAY_MAX_OBJECT           (8)</span>
<a name="l00048"></a>00048 <span class="preprocessor"></span>
<a name="l00052"></a><a class="code" href="group__group__vx__delay__cfg.html#ga4e91cbe375e45cb4403dca2f72d60ab1">00052</a> <span class="preprocessor">#define TIVX_DELAY_MAX_PRM_OBJECT       (16)</span>
<a name="l00053"></a>00053 <span class="preprocessor"></span>
<a name="l00057"></a><a class="code" href="structtivx__delay__param__t.html">00057</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_vx_delay_param_t {
<a name="l00058"></a><a class="code" href="structtivx__delay__param__t.html#a8192dcb0436729668c0d60ebc0daae4f">00058</a>     <span class="keyword">struct </span>_vx_delay_param_t *next;
<a name="l00059"></a><a class="code" href="structtivx__delay__param__t.html#a3bcf54af4d68dfd2117647f2d59d9425">00059</a>     <a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node;
<a name="l00060"></a><a class="code" href="structtivx__delay__param__t.html#a49b4daf16b75b949599cd45eff992efd">00060</a>     <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> index;
<a name="l00061"></a>00061 } <a class="code" href="structtivx__delay__param__t.html" title="The internal representation of the delay parameters as a list.">tivx_delay_param_t</a>;
<a name="l00062"></a>00062 
<a name="l00063"></a>00063 
<a name="l00069"></a><a class="code" href="structtivx__delay__t.html">00069</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_vx_delay
<a name="l00070"></a>00070 {
<a name="l00072"></a><a class="code" href="structtivx__delay__t.html#a5d126376ce47e7853379ca9d5f43aed8">00072</a>     <a class="code" href="structtivx__reference__t.html" title="The most basic type in the OpenVX system. Any type that inherits from tivx_reference_t...">tivx_reference_t</a> base;
<a name="l00074"></a><a class="code" href="structtivx__delay__t.html#af9ed566e650d6b6cb11b02a75ad87075">00074</a>     <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a>     refs[<a class="code" href="group__group__vx__delay__cfg.html#gaa945633d04f86c392278ca20867eac85" title="Maximum number of objects supported inside delay object.">TIVX_DELAY_MAX_OBJECT</a>];
<a name="l00076"></a><a class="code" href="structtivx__delay__t.html#ac46bb3f3bbdff86d8fa946264d745c3b">00076</a>     <a class="code" href="structtivx__delay__param__t.html" title="The internal representation of the delay parameters as a list.">tivx_delay_param_t</a> <span class="keyword">set</span>[<a class="code" href="group__group__vx__delay__cfg.html#gaa945633d04f86c392278ca20867eac85" title="Maximum number of objects supported inside delay object.">TIVX_DELAY_MAX_OBJECT</a>];
<a name="l00078"></a><a class="code" href="structtivx__delay__t.html#ae12c417e4bfcc107a3a4233888e0a6ff">00078</a>     <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> index;
<a name="l00080"></a><a class="code" href="structtivx__delay__t.html#a177adfccc53e95a17b3eff60a9d5c442">00080</a>     <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> count;
<a name="l00082"></a><a class="code" href="structtivx__delay__t.html#a400cadf8d36e66f7609b01160395a3b5">00082</a>     <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type;
<a name="l00084"></a><a class="code" href="structtivx__delay__t.html#ab5aa0daa52c8a23e8b2086f43f89cef5">00084</a>     <a class="code" href="vx__types_8h.html#a2c6de63476aff4a009bac8d0eb9800d1" title="The delay object. This is like a ring buffer of objects that is maintained by the...">vx_delay</a> pyr_delay[<a class="code" href="group__group__tivx__obj__desc__cfg.html#ga9394c906b6f2581dcbfe1b830d31eee5" title="Maximum number of objects supported in pyramid.">TIVX_PYRAMID_MAX_LEVEL_OBJECTS</a>];
<a name="l00086"></a><a class="code" href="structtivx__delay__t.html#a7dab1c0587b04896222001edd76404a0">00086</a>     <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> pyr_num_levels;
<a name="l00088"></a><a class="code" href="structtivx__delay__t.html#af9d141a40077018ca57f4493f6a28012">00088</a>     <a class="code" href="structtivx__delay__param__t.html" title="The internal representation of the delay parameters as a list.">tivx_delay_param_t</a> prm_pool[<a class="code" href="group__group__vx__delay__cfg.html#ga4e91cbe375e45cb4403dca2f72d60ab1" title="Maximum number of paramter objects that can be associated with a delay.">TIVX_DELAY_MAX_PRM_OBJECT</a>];
<a name="l00089"></a>00089 } <a class="code" href="structtivx__delay__t.html" title="Delay object internal state.">tivx_delay_t</a>;
<a name="l00090"></a>00090 
<a name="l00091"></a>00091 
<a name="l00099"></a>00099 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__vx__delay.html#gab11f80173ad6066184537c264c647feb" title="Adds an association to a node to a delay slot object reference.">ownAddAssociationToDelay</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> value,
<a name="l00100"></a>00100                                 <a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> n, <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> i);
<a name="l00101"></a>00101 
<a name="l00109"></a>00109 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__vx__delay.html#gaebf2b68648ae0503ed5ba08e9696bbce" title="Removes an association to a node from a delay slot object reference.">ownRemoveAssociationToDelay</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> value,
<a name="l00110"></a>00110                                    <a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> n, <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> i);
<a name="l00111"></a>00111 
<a name="l00112"></a>00112 
<a name="l00113"></a>00113 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00114"></a>00114 <span class="preprocessor"></span>}
<a name="l00115"></a>00115 <span class="preprocessor">#endif</span>
<a name="l00116"></a>00116 <span class="preprocessor"></span>
<a name="l00117"></a>00117 <span class="preprocessor">#endif</span>
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
